BasicPooledConnAdapter (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.conn.tsccm
Class BasicPooledConnAdapter

    java.lang.Object
      org.apache.http.impl.conn.AbstractClientConnAdapter
          org.apache.http.impl.conn.AbstractPooledConnAdapter
              org.apache.http.impl.conn.tsccm.BasicPooledConnAdapter

All Implemented Interfaces:
  Closeable, ConnectionReleaseTrigger, HttpRoutedConnection, ManagedClientConnection, ManagedHttpClientConnection, org.apache.http.HttpClientConnection, org.apache.http.HttpConnection, org.apache.http.HttpInetConnection, org.apache.http.protocol.HttpContext

Deprecated. (4.2) do not use

    @Deprecated
    public class BasicPooledConnAdapter

extends AbstractPooledConnAdapter

A connection wrapper and callback handler. All connections given out by the manager are wrappers which can be `detach`ed to prevent further use on release.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.impl.conn.AbstractPooledConnAdapter
`poolEntry`

Fields inherited from interface org.apache.http.protocol.HttpContext
`RESERVED_PREFIX`

Constructor Summary
`protected` | `BasicPooledConnAdapter(ThreadSafeClientConnManager tsccm, AbstractPoolEntry entry)` Deprecated. Creates a new adapter.

Method Summary
`protected void` | `detach()` Deprecated. Detaches this adapter from the wrapped connection.
`protected ClientConnectionManager` | `getManager()` Deprecated.
`protected AbstractPoolEntry` | `getPoolEntry()` Deprecated. Obtains the pool entry.

Methods inherited from class org.apache.http.impl.conn.AbstractPooledConnAdapter
`assertAttached, assertValid, close, getId, getRoute, getState, layerProtocol, open, setState, shutdown, tunnelProxy, tunnelTarget`

Methods inherited from class org.apache.http.impl.conn.AbstractClientConnAdapter
`abortConnection, assertNotAborted, assertValid, bind, flush, getAttribute, getLocalAddress, getLocalPort, getMetrics, getRemoteAddress, getRemotePort, getSocket, getSocketTimeout, getSSLSession, getWrappedConnection, isMarkedReusable, isOpen, isReleased, isResponseAvailable, isSecure, isStale, markReusable, receiveResponseEntity, receiveResponseHeader, releaseConnection, removeAttribute, sendRequestEntity, sendRequestHeader, setAttribute, setIdleDuration, setSocketTimeout, unmarkReusable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicPooledConnAdapter

    protected BasicPooledConnAdapter(ThreadSafeClientConnManager tsccm,
                                     AbstractPoolEntry entry)

  Deprecated.
  Creates a new adapter.

  Parameters:
    `tsccm` - the connection manager
    `entry` - the pool entry for the connection being wrapped

Method Detail

### getManager

    protected ClientConnectionManager getManager()

  Deprecated.
  Overrides:
    `getManager` in class `AbstractClientConnAdapter`

### getPoolEntry

    protected AbstractPoolEntry getPoolEntry()

  Deprecated.
  Description copied from class: `AbstractPooledConnAdapter`
  Obtains the pool entry.

  Overrides:
    `getPoolEntry` in class `AbstractPooledConnAdapter`
  Returns:
    the pool entry, or `null` if detached

### detach

    protected void detach()

  Deprecated.
  Description copied from class: `AbstractPooledConnAdapter`
  Detaches this adapter from the wrapped connection. This adapter becomes useless.

  Overrides:
    `detach` in class `AbstractPooledConnAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.